FROM quay.io/centos/centos:stream9

RUN dnf up -y --refresh && \
    dnf install -y epel-release epel-next-release 'dnf-command(config-manager)' && \
    dnf config-manager --enable crb && \
    dnf install -y tmt ShellCheck && \
    dnf clean all && \
    rm -rf /var/cache /var/log/dnf* /var/log/yum.*

RUN groupadd --system centos && \
    useradd --no-log-init --system --create-home --gid centos centos

USER centos
